#
# spec file for package ipa-uigothic-fonts
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ipa-uigothic-fonts
Version:        002.003
Release:        71.5
Summary:        "UI Gothic" Japanese TrueType Font Made by IPA
License:        IPA
Group:          System/X11/Fonts
Url:            http://ossipedia.ipa.go.jp/ipafont/
Source0:        IPAfont00203.tar.bz2
Source1:        enduser_license_english.txt
BuildRequires:  dos2unix
BuildRequires:  fontpackages-devel
%reconfigure_fonts_prereq
Provides:       IPUIGothic = %{version}
Provides:       scalable-font-ja
Provides:       locale(ja)
Obsoletes:      IPUIGothic <= 002.003
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
"UI Gothic" Japanese TrueType font made by IPA (Information-technology
Promotion Agency).

%prep
%setup -q -n IPAfont00203
cp $RPM_SOURCE_DIR/enduser_license_english.txt .

%build
for i in Readme00203.txt enduser_license.txt
do
    iconv -f SJIS -t UTF-8 < $i > $i.tmp
    mv $i.tmp $i
    dos2unix $i
done

%install
mkdir -p %{buildroot}%{_ttfontsdir}
install -m 644 ipagui.ttf %{buildroot}%{_ttfontsdir}

%reconfigure_fonts_scriptlets -c

%files
%defattr(-,root,root)
%doc *.txt
%dir %{_ttfontsdir}
%{_ttfontsdir}/ipagui.ttf

%changelog
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Thu Mar 29 2012 pgajdos@suse.com
- IPA license
* Wed Dec 21 2011 tiwai@suse.de
- Renamed IPAUIGothic -> ipa-uigothic-fonts according to
  openSUSE packaging guidelines and FATE#313035
  Adjusted Obsoletes and Provides accordingly
* Thu Apr  8 2010 tiwai@suse.de
- removed unnecessary buildrequires for too old distros
* Wed Aug 12 2009 tiwai@suse.de
- install only UI gothic font from this old package
* Thu Apr  3 2008 mfabian@suse.de
- bnc#374441: add *inofficial* English translation of the license.
* Thu Mar  6 2008 mfabian@suse.de
- update to 002.003. From the release notes
  http://ossipedia.ipa.go.jp/ipafont/releasenote.html:
  • fixed width flag set to “no” for IPAPGothic (ipagp.ttf),
  IPAPMincho (ipamp.ttf), and IPAUIGothic (ipagui.ttf).
  See also bnc359984. In Qt4 the problems have already been
  fixed by ignoring the “global advance width” when loading the
  font using freetype2, but in many other applications
  e.g. Qt3, these fonts were still handled as fixed width.
  • Glyphs for the following characters have been added:
  U+2014 EM DASH, U+2016 DOUBLE VERTICAL LINE, U+203E OVERLINE,
  U+00AC NOT SIGN, U+00A5 YEN SIGN, U+00A2 CENT SIGN,
  U+00A3 POUND SIGN.
* Wed Jan 23 2008 ro@suse.de
- remove dependency on grass.
* Wed Jan  9 2008 mfabian@suse.de
- update to 002.001
  * now supports JIS X 0213:2004 (needed for bug #343820)
  * new, better license
- remove dependency on grass.
* Tue Aug  8 2006 mfabian@suse.de
- move fonts to /usr/share/fonts because of the move to Xorg X11R7.
- use "run_suseconfig_fonts -c" macro.
- cleanup .spec file
* Tue Feb 28 2006 mfabian@suse.de
- add "Provides: locale(ja)".
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Nov 10 2005 ro@suse.de
- use mesa-devel-packages in nfb
* Fri Oct 28 2005 adrian@suse.de
- make font packages noarch
* Mon Jun 13 2005 ro@suse.de
- do not redefine fgets
* Thu May 12 2005 meissner@suse.de
- fixed all critical warnings, buffer overflows and lots
  of implicit warnings.
* Wed May 11 2005 meissner@suse.de
- gcc4 fixes.
* Mon Mar 21 2005 mfabian@suse.de
- Bugzilla #72784: "grass does not start from the KDE menu":
  fix program name in grass.desktop.
* Fri Feb 25 2005 mfabian@suse.de
- make IPA fonts require grass, not vice versa
  (because of the license of the IPA fonts).
* Thu Nov 18 2004 ro@suse.de
- use kerberos-devel-packages
* Mon Nov 15 2004 ro@suse.de
- fix last change ...
* Fri Nov 12 2004 ro@suse.de
- fixed file list (needs revisiting)
* Tue Sep 14 2004 mfabian@suse.de
- use correct version numbers for font sub-packages.
* Mon Sep 13 2004 mfabian@suse.de
- new package: grass 5.0.3 (i18n version).
